ISWDIGIT(3)

NAME
iswdigit - test for decimal digit wide character

SYNOPSIS
#include <wctype.h>

int iswdigit(wint_t wc);

DESCRIPTION
The iswdigit() function is the wide-character equivalent of the isdigit() function. It tests whether wc is a wide character belonging to the wide character class "digit".

The wide character class "digit" is a subclass of the wide character class "xdigit", and therefore also a subclass of the wide character class "alnum", of the wide character class "graph" and of the wide character class "print".

Being a subclass of the wide character class "print", the wide character class "digit" is disjoint from the wide character class "cntrl".

Being a subclass of the wide character class "graph", the wide character class "digit" is disjoint from the wide character class "space" and its subclass "blank".

Being a subclass of the wide character class "alnum", the wide character class "digit" is disjoint from the wide character class "punct".

The wide character class "digit" is disjoint from the wide character class "alpha" and therefore also disjoint from its subclasses "lower", "upper".

The wide character class "digit" always contains exactly the digits '0' to '9'.

RETURN VALUE
The iswdigit() function returns non-zero if wc is a wide character belonging to the wide character class "digit". Otherwise it returns zero.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
isdigit(3), iswctype(3)

NOTES
The behaviour of iswdigit() depends on the LC_CTYPE category of the current locale.